Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.annotation
Class InjectionCollection

    java.lang.Object
      org.mortbay.jetty.plus.annotation.InjectionCollection

    public class InjectionCollection

extends Object

InjectionCollection

Constructor Summary
`InjectionCollection()`

Method Summary
`void` | `add(Injection injection)`
`List` | `getFieldInjections(Class clazz)`
`Injection` | `getInjection(Class clazz, Member member)`
`List` | `getInjections(Class clazz)`
`List` | `getMethodInjections(Class clazz)`
`void` | `inject(Object injectable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InjectionCollection

    public InjectionCollection()

Method Detail

### add

    public void add(Injection injection)

### getFieldInjections

    public List getFieldInjections(Class clazz)

### getMethodInjections

    public List getMethodInjections(Class clazz)

### getInjections

    public List getInjections(Class clazz)

### getInjection

    public Injection getInjection(Class clazz,
                                  Member member)

### inject

    public void inject(Object injectable)
                throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.